Karia
ReferencesOpenapiNovated asset

List novated assets

GET
/organisation/{orgId}/workspace/{workspaceId}/novated-asset

List novated assets in the specified organisation and workspace, with optional search, status, and pagination filters.

Authorization

ApiKeyAuth
x-api-key<token>

API key for authentication

In: header

Path Parameters

orgId*string
workspaceId*string

Query Parameters

search?string
status?string
page?number
Default1
Range1 <= value
limit?number
Default10
Range1 <= value <= 50

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://app.np.aws.karia.com.au/api/v0/organisation/string/workspace/string/novated-asset"
{
  "items": [
    {
      "id": 0,
      "referenceId": "string",
      "status": "string",
      "name": "string",
      "description": "string",
      "type": "string",
      "createdAt": "string",
      "make": "string",
      "model": "string",
      "year": "string",
      "registrationNumber": "string"
    }
  ],
  "pagination": {
    "total": 0,
    "page": 0,
    "limit": 0,
    "totalPages": 0
  }
}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}